Subject: bug#79151: 31.0.50; eshell does not complete filename arguments with tramp

From: Michael Albinus <[email-masked]>
Date: Mon, 04 Aug 2025 11:43:50 +0200

Daniel Mendler <[email-masked]> writes:

Hi Daniel,

>> I also don't remember the reason, why remote file name completion was
>> discarded for external command's arguments and pipes. Performance?
>>
>> If this is what users want, we should get rid of this restriction.
>
> As I understand bug#65356 the problem was that file completion sets in
> in unwanted cases. Back then you pushed the 'pcomplete-remote-file-ignore'
> workaround with this comment:

pcomplete-remote-file-ignore is important in the shell-mode case. We
don't want 'cd /sudo::/' commands there :-)

>     Let's just go with the change to add 'pcomplete-remote-file-ignore' for 
>     now. I'll have to think more about how Eshell can selectively ignore 
>     remote files correctly in all cases; there are a bunch of areas where 
>     Eshell could be smarter about completion already, and I have the feeling 
>     they'll conflict with each other if we don't plan this out carefully...

IIRC, this comment was from Jim. I have no personal preference, how
Eshell allows or discards remote file name completion.

Best regards, Michael.